Resolve data stored in microblocks
POST/api/v1/wallet/:walletId/resolve
Recursively resolves microblock data.
Request
Path Parameters
- application/json
Body
required
linkedJson
object
required
The JSON data from which the resolution starts.
The JSON data from which the resolution starts.
policies
object
required
Possible values: [throw, ignore]
Default value: throw
Field indicating whether to raise an exception or ignore the error if a resolution fails.
Possible values: [throw, ignore]
Default value: throw
Field indicating whether to raise an exception or ignore the error if a cyclic resolution is detected.
Responses
- 201
A Carmentis proof containing the resolved data.
- application/json
- Schema
- Example (from schema)
Schema
info
object
required
proof
object
required
linkedJson
object
required
The JSON data from which the resolution starts.
The JSON data from which the resolution starts.
resolvedJson
object
required
The full resolved data, as JSON.
The full resolved data, as JSON.
signature
object
required
commitment
object
required
{
"info": {
"version": 0,
"chainId": "string",
"description": "string",
"author": "string",
"date": "string"
},
"proof": {
"linkedJson": {},
"resolvedJson": {}
},
"signature": {
"commitment": {
"issuedAt": "string",
"digestAlg": "string",
"digestTarget": "string",
"digest": "string"
},
"signer": "string",
"pubkey": "string",
"alg": "string",
"sig": "string"
}
}